package market.Slm.Notice.mapper;

import java.util.List;

import market.Slm.Notice.vo.SlmNoticeReader;

import com.hnshituo.orm.GenericMapper;

public interface SlmNoticeReaderMapper extends GenericMapper<SlmNoticeReader,Object> {

	List<SlmNoticeReader> doQuery(SlmNoticeReader ocp);

	void doAdd(SlmNoticeReader oci);

	void doUpdate(SlmNoticeReader oci);

	void doDelete(SlmNoticeReader oci);

	void doAddReaded(SlmNoticeReader reader);

	void doUpdateStatic(String substring, String substring2);

	List<SlmNoticeReader> doQueryPush(SlmNoticeReader snr);
}
